Install an application
Installs the application on a team, organisation, or event you manage, with all of its current permissions. On an existing installation, this approves newly added permissions.
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
appId | stringRequired | path | - |
Idempotency-Key | stringRequired | header | - |
Request #
curl --request POST 'https://strave.gg/api/v2/developer/apps/APP_ID/installations' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
201Response for status 201400Response for status 400401Response for status 401403Response for status 403404Response for status 404409Response for status 409412Response for status 412428Response for status 428429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | objectRequired | - |
└id | stringRequired | - |
└applicationId | stringRequired | - |
└target | objectRequired | - |
└type | stringRequired | - |
└id | stringRequired | - |
└approvedPermissions | string[]Required | - |
└status | stringRequired | - |
└revision | integerRequired | - |
└createdAt | stringRequired | - |
└updatedAt | stringRequired | - |
Cost #
Free